:root {
  --text-color: #063442;
  --main-color: #4FC4AF;
  --dark-color: #2F746E;
  --light-color: #C1E7D2;
  --highlight-color: #FDF3CF;

  --secondary-color: #FFC07A;
  --secondary-color-dark: #ED7901;

  --r-background-color: white;
  --r-main-color: var(--main-color);

  --r-main-font-size: 32px;
  --r-block-margin: 3%;

  --r-heading1-size: 48px;
  --r-heading2-size: 38px;
  --r-heading-margin: 1% 0 4% 0;
  --r-heading-font: "poppins semibold", verdana;
  --r-heading-color: var(--text-color);
  --r-heading-line-height: 1.2em;
  --r-heading-text-transform: none;

  --r-code-font: "courier new";
  --r-link-color: var(--secondary-color-dark);
  --r-link-color-dark: var(--secondary-color);
  --r-link-color-hover: var(--secondary-color);
  --r-selection-color: white;
  --r-selection-background-color: var(--main-color);
}

.reveal {
  font-family: carlito, lato, arial;
  color: var(--text-color);
}

.reveal .slides {
  text-align: left;
}

.reveal figure {
  text-align: center;
}

.reveal h1,
.reveal h2 {
  text-align: left;
  padding-left: 0.5em;
  border-left: 0.25em solid var(--main-color);
}

.reveal #title-slide, .reveal #title-slide h1 {
  margin-right: 33%;
  text-align: left;
  font-size: 24px;
}

.reveal #title-slide p {
  margin: 1em 0 0 72px;
}

.reveal #title-slide h1 {
  margin-bottom: 0;
  font-size: 48px;
  border-left: 48px solid var(--main-color);
  border-image: linear-gradient(to right, var(--text-color) 1px, var(--dark-color) 1px 2px, var(--main-color) 2px 3px, var(--light-color) 3px) 4;
}

figure img {
  box-shadow:12px 12px var(--highlight-color);
}

strong {
  background: linear-gradient(to left, var(--highlight-color), var(--highlight-color));
  background-position: 0.2em bottom;
  background-size: 100% 60%;
  background-repeat: no-repeat;
  padding-right: 0.2em;
  margin-right: -0.2em;
}

code {
  background-color: var(--highlight-color);
  font-size: calc(0.8 * var(--r-main-font-size));
}

/* Reveal controls */

.reveal .controls, .reveal .progress {
  color: var(--main-color);
}

.reveal .progress {
  height: 6px
}

::selection {
  background: var(--main-color);
}

.reveal .slide-number {
  font-size: 16px;
  background-color: var(--text-color);
}
